import glob, os, re, sys
import subprocess
import time
import sys
repo=sys.argv[1]

xsl_loc='/home/hg/repos/SEES-hacks/SEESenv/scripts/'

names = glob.glob(os.path.join(repo,'ch*.docbook'))
for name in names:
#   command="xsltproc html-single.xsl %s > %s.html" %(name ,name.split('.')[0])    
    command="xsltproc %shtml-single.xsl %s > %s.html" %(xsl_loc, name ,name.split('.')[0])

    print command	
    subprocess.Popen(command,shell=True)
    time.sleep(10)
